//	IC_Conversion.h

#ifndef _H_IC_Conversion
#define _H_IC_Conversion

#include "FileSystemTypes.h"

void	IC_ConvertSector(FSType oldType, FSType newType, short *sectorS);

void	ConvertMemImage(Gen_Disk *diskP, FSType oldType, FSType newType);
void	ConvertImage(DiskImageRec *imageRec, FSType newType);

void	AssumeConvertImageType(DiskImageRec *imageRec, FSType oldType, FSType newType);
void	UnAssumeConvertImageType(DiskImageRec *imageRec, FSType newType, FSType assumeType);

void	IC_ConvertTest(void);

#endif